import { GitEnricherInputs } from '../../../image-enricher-git-info/types';
export declare class GithubApi {
    private inputs;
    constructor(inputs: GitEnricherInputs);
    getBranch(repo: any, branch: any): Promise<{
        name: string;
        commit: {
            url: string;
            sha: string;
            node_id: string;
            html_url: string;
            comments_url: string;
            commit: {
                url: string;
                author: {
                    name?: string | undefined;
                    email?: string | undefined;
                    date?: string | undefined;
                } | null;
                committer: {
                    name?: string | undefined;
                    email?: string | undefined;
                    date?: string | undefined;
                } | null;
                message: string;
                comment_count: number;
                tree: {
                    sha: string;
                    url: string;
                };
                verification?: {
                    verified: boolean;
                    reason: string;
                    payload: string | null;
                    signature: string | null;
                } | undefined;
            };
            author: {
                name?: string | null | undefined;
                email?: string | null | undefined;
                login: string;
                id: number;
                node_id: string;
                avatar_url: string;
                gravatar_id: string | null;
                url: string;
                html_url: string;
                followers_url: string;
                following_url: string;
                gists_url: string;
                starred_url: string;
                subscriptions_url: string;
                organizations_url: string;
                repos_url: string;
                events_url: string;
                received_events_url: string;
                type: string;
                site_admin: boolean;
                starred_at?: string | undefined;
            } | null;
            committer: {
                name?: string | null | undefined;
                email?: string | null | undefined;
                login: string;
                id: number;
                node_id: string;
                avatar_url: string;
                gravatar_id: string | null;
                url: string;
                html_url: string;
                followers_url: string;
                following_url: string;
                gists_url: string;
                starred_url: string;
                subscriptions_url: string;
                organizations_url: string;
                repos_url: string;
                events_url: string;
                received_events_url: string;
                type: string;
                site_admin: boolean;
                starred_at?: string | undefined;
            } | null;
            parents: {
                sha: string;
                url: string;
                html_url?: string | undefined;
            }[];
            stats?: {
                additions?: number | undefined;
                deletions?: number | undefined;
                total?: number | undefined;
            } | undefined;
            files?: {
                sha: string;
                filename: string;
                status: "added" | "removed" | "modified" | "renamed" | "copied" | "changed" | "unchanged";
                additions: number;
                deletions: number;
                changes: number;
                blob_url: string;
                raw_url: string;
                contents_url: string;
                patch?: string | undefined;
                previous_filename?: string | undefined;
            }[] | undefined;
        };
        _links: {
            html: string;
            self: string;
        };
        protected: boolean;
        protection: {
            url?: string | undefined;
            enabled?: boolean | undefined;
            required_status_checks?: {
                url?: string | undefined;
                enforcement_level?: string | undefined;
                contexts: string[];
                checks: {
                    context: string;
                    app_id: number | null;
                }[];
                contexts_url?: string | undefined;
                strict?: boolean | undefined;
            } | undefined;
            enforce_admins?: {
                url: string;
                enabled: boolean;
            } | undefined;
            required_pull_request_reviews?: {
                url?: string | undefined;
                dismissal_restrictions?: {
                    users?: {
                        name?: string | null | undefined;
                        email?: string | null | undefined;
                        login: string;
                        id: number;
                        node_id: string;
                        avatar_url: string;
                        gravatar_id: string | null;
                        url: string;
                        html_url: string;
                        followers_url: string;
                        following_url: string;
                        gists_url: string;
                        starred_url: string;
                        subscriptions_url: string;
                        organizations_url: string;
                        repos_url: string;
                        events_url: string;
                        received_events_url: string;
                        type: string;
                        site_admin: boolean;
                        starred_at?: string | undefined;
                    }[] | undefined;
                    teams?: {
                        id: number;
                        node_id: string;
                        name: string;
                        slug: string;
                        description: string | null;
                        privacy?: string | undefined;
                        permission: string;
                        permissions?: {
                            pull: boolean;
                            triage: boolean;
                            push: boolean;
                            maintain: boolean;
                            admin: boolean;
                        } | undefined;
                        url: string;
                        html_url: string;
                        members_url: string;
                        repositories_url: string;
                        parent: {
                            id: number;
                            node_id: string;
                            url: string;
                            members_url: string;
                            name: string;
                            description: string | null;
                            permission: string;
                            privacy?: string | undefined;
                            html_url: string;
                            repositories_url: string;
                            slug: string;
                            ldap_dn?: string | undefined;
                        } | null;
                    }[] | undefined;
                    apps?: {
                        id: number;
                        slug?: string | undefined;
                        node_id: string;
                        owner: {
                            name?: string | null | undefined;
                            email?: string | null | undefined;
                            login: string;
                            id: number;
                            node_id: string;
                            avatar_url: string;
                            gravatar_id: string | null;
                            url: string;
                            html_url: string;
                            followers_url: string;
                            following_url: string;
                            gists_url: string;
                            starred_url: string;
                            subscriptions_url: string;
                            organizations_url: string;
                            repos_url: string;
                            events_url: string;
                            received_events_url: string;
                            type: string;
                            site_admin: boolean;
                            starred_at?: string | undefined;
                        } | null;
                        name: string;
                        description: string | null;
                        external_url: string;
                        html_url: string;
                        created_at: string;
                        updated_at: string;
                        permissions: {
                            issues?: string | undefined;
                            checks?: string | undefined;
                            metadata?: string | undefined;
                            contents?: string | undefined;
                            deployments?: string | undefined;
                        } & {
                            [key: string]: string;
                        };
                        events: string[];
                        installations_count?: number | undefined;
                        client_id?: string | undefined;
                        client_secret?: string | undefined;
                        webhook_secret?: string | null | undefined;
                        pem?: string | undefined;
                    }[] | undefined;
                    url?: string | undefined;
                    users_url?: string | undefined;
                    teams_url?: string | undefined;
                } | undefined;
                bypass_pull_request_allowances?: {
                    users?: {
                        name?: string | null | undefined;
                        email?: string | null | undefined;
                        login: string;
                        id: number;
                        node_id: string;
                        avatar_url: string;
                        gravatar_id: string | null;
                        url: string;
                        html_url: string;
                        followers_url: string;
                        following_url: string;
                        gists_url: string;
                        starred_url: string;
                        subscriptions_url: string;
                        organizations_url: string;
                        repos_url: string;
                        events_url: string;
                        received_events_url: string;
                        type: string;
                        site_admin: boolean;
                        starred_at?: string | undefined;
                    }[] | undefined;
                    teams?: {
                        id: number;
                        node_id: string;
                        name: string;
                        slug: string;
                        description: string | null;
                        privacy?: string | undefined;
                        permission: string;
                        permissions?: {
                            pull: boolean;
                            triage: boolean;
                            push: boolean;
                            maintain: boolean;
                            admin: boolean;
                        } | undefined;
                        url: string;
                        html_url: string;
                        members_url: string;
                        repositories_url: string;
                        parent: {
                            id: number;
                            node_id: string;
                            url: string;
                            members_url: string;
                            name: string;
                            description: string | null;
                            permission: string;
                            privacy?: string | undefined;
                            html_url: string;
                            repositories_url: string;
                            slug: string;
                            ldap_dn?: string | undefined;
                        } | null;
                    }[] | undefined;
                    apps?: {
                        id: number;
                        slug?: string | undefined;
                        node_id: string;
                        owner: {
                            name?: string | null | undefined;
                            email?: string | null | undefined;
                            login: string;
                            id: number;
                            node_id: string;
                            avatar_url: string;
                            gravatar_id: string | null;
                            url: string;
                            html_url: string;
                            followers_url: string;
                            following_url: string;
                            gists_url: string;
                            starred_url: string;
                            subscriptions_url: string;
                            organizations_url: string;
                            repos_url: string;
                            events_url: string;
                            received_events_url: string;
                            type: string;
                            site_admin: boolean;
                            starred_at?: string | undefined;
                        } | null;
                        name: string;
                        description: string | null;
                        external_url: string;
                        html_url: string;
                        created_at: string;
                        updated_at: string;
                        permissions: {
                            issues?: string | undefined;
                            checks?: string | undefined;
                            metadata?: string | undefined;
                            contents?: string | undefined;
                            deployments?: string | undefined;
                        } & {
                            [key: string]: string;
                        };
                        events: string[];
                        installations_count?: number | undefined;
                        client_id?: string | undefined;
                        client_secret?: string | undefined;
                        webhook_secret?: string | null | undefined;
                        pem?: string | undefined;
                    }[] | undefined;
                } | undefined;
                dismiss_stale_reviews: boolean;
                require_code_owner_reviews: boolean;
                required_approving_review_count?: number | undefined;
                require_last_push_approval?: boolean | undefined;
            } | undefined;
            restrictions?: {
                url: string;
                users_url: string;
                teams_url: string;
                apps_url: string;
                users: {
                    login?: string | undefined;
                    id?: number | undefined;
                    node_id?: string | undefined;
                    avatar_url?: string | undefined;
                    gravatar_id?: string | undefined;
                    url?: string | undefined;
                    html_url?: string | undefined;
                    followers_url?: string | undefined;
                    following_url?: string | undefined;
                    gists_url?: string | undefined;
                    starred_url?: string | undefined;
                    subscriptions_url?: string | undefined;
                    organizations_url?: string | undefined;
                    repos_url?: string | undefined;
                    events_url?: string | undefined;
                    received_events_url?: string | undefined;
                    type?: string | undefined;
                    site_admin?: boolean | undefined;
                }[];
                teams: {
                    id?: number | undefined;
                    node_id?: string | undefined;
                    url?: string | undefined;
                    html_url?: string | undefined;
                    name?: string | undefined;
                    slug?: string | undefined;
                    description?: string | null | undefined;
                    privacy?: string | undefined;
                    permission?: string | undefined;
                    members_url?: string | undefined;
                    repositories_url?: string | undefined;
                    parent?: string | null | undefined;
                }[];
                apps: {
                    id?: number | undefined;
                    slug?: string | undefined;
                    node_id?: string | undefined;
                    owner?: {
                        login?: string | undefined;
                        id?: number | undefined;
                        node_id?: string | undefined;
                        url?: string | undefined;
                        repos_url?: string | undefined;
                        events_url?: string | undefined;
                        hooks_url?: string | undefined;
                        issues_url?: string | undefined;
                        members_url?: string | undefined;
                        public_members_url?: string | undefined;
                        avatar_url?: string | undefined;
                        description?: string | undefined;
                        gravatar_id?: string | undefined;
                        html_url?: string | undefined;
                        followers_url?: string | undefined;
                        following_url?: string | undefined;
                        gists_url?: string | undefined;
                        starred_url?: string | undefined;
                        subscriptions_url?: string | undefined;
                        organizations_url?: string | undefined;
                        received_events_url?: string | undefined;
                        type?: string | undefined;
                        site_admin?: boolean | undefined;
                    } | undefined;
                    name?: string | undefined;
                    description?: string | undefined;
                    external_url?: string | undefined;
                    html_url?: string | undefined;
                    created_at?: string | undefined;
                    updated_at?: string | undefined;
                    permissions?: {
                        metadata?: string | undefined;
                        contents?: string | undefined;
                        issues?: string | undefined;
                        single_file?: string | undefined;
                    } | undefined;
                    events?: string[] | undefined;
                }[];
            } | undefined;
            required_linear_history?: {
                enabled?: boolean | undefined;
            } | undefined;
            allow_force_pushes?: {
                enabled?: boolean | undefined;
            } | undefined;
            allow_deletions?: {
                enabled?: boolean | undefined;
            } | undefined;
            block_creations?: {
                enabled?: boolean | undefined;
            } | undefined;
            required_conversation_resolution?: {
                enabled?: boolean | undefined;
            } | undefined;
            name?: string | undefined;
            protection_url?: string | undefined;
            required_signatures?: {
                url: string;
                enabled: boolean;
            } | undefined;
            lock_branch?: {
                enabled?: boolean | undefined;
            } | undefined;
            allow_fork_syncing?: {
                enabled?: boolean | undefined;
            } | undefined;
        };
        protection_url: string;
        pattern?: string | undefined;
        required_approving_review_count?: number | undefined;
    }>;
    getCommit(repo: any, branch: any, revision: any): Promise<{
        url: string;
        sha: string;
        node_id: string;
        html_url: string;
        comments_url: string;
        commit: {
            url: string;
            author: {
                name?: string | undefined;
                email?: string | undefined;
                date?: string | undefined;
            } | null;
            committer: {
                name?: string | undefined;
                email?: string | undefined;
                date?: string | undefined;
            } | null;
            message: string;
            comment_count: number;
            tree: {
                sha: string;
                url: string;
            };
            verification?: {
                verified: boolean;
                reason: string;
                payload: string | null;
                signature: string | null;
            } | undefined;
        };
        author: {
            name?: string | null | undefined;
            email?: string | null | undefined;
            login: string;
            id: number;
            node_id: string;
            avatar_url: string;
            gravatar_id: string | null;
            url: string;
            html_url: string;
            followers_url: string;
            following_url: string;
            gists_url: string;
            starred_url: string;
            subscriptions_url: string;
            organizations_url: string;
            repos_url: string;
            events_url: string;
            received_events_url: string;
            type: string;
            site_admin: boolean;
            starred_at?: string | undefined;
        } | null;
        committer: {
            name?: string | null | undefined;
            email?: string | null | undefined;
            login: string;
            id: number;
            node_id: string;
            avatar_url: string;
            gravatar_id: string | null;
            url: string;
            html_url: string;
            followers_url: string;
            following_url: string;
            gists_url: string;
            starred_url: string;
            subscriptions_url: string;
            organizations_url: string;
            repos_url: string;
            events_url: string;
            received_events_url: string;
            type: string;
            site_admin: boolean;
            starred_at?: string | undefined;
        } | null;
        parents: {
            sha: string;
            url: string;
            html_url?: string | undefined;
        }[];
        stats?: {
            additions?: number | undefined;
            deletions?: number | undefined;
            total?: number | undefined;
        } | undefined;
        files?: {
            sha: string;
            filename: string;
            status: "added" | "removed" | "modified" | "renamed" | "copied" | "changed" | "unchanged";
            additions: number;
            deletions: number;
            changes: number;
            blob_url: string;
            raw_url: string;
            contents_url: string;
            patch?: string | undefined;
            previous_filename?: string | undefined;
        }[] | undefined;
    }>;
    searchForPullRequests(repo: any, branch: any): Promise<{
        total_count: number;
        incomplete_results: boolean;
        items: {
            url: string;
            repository_url: string;
            labels_url: string;
            comments_url: string;
            events_url: string;
            html_url: string;
            id: number;
            node_id: string;
            number: number;
            title: string;
            locked: boolean;
            active_lock_reason?: string | null | undefined;
            assignees?: {
                name?: string | null | undefined;
                email?: string | null | undefined;
                login: string;
                id: number;
                node_id: string;
                avatar_url: string;
                gravatar_id: string | null;
                url: string;
                html_url: string;
                followers_url: string;
                following_url: string;
                gists_url: string;
                starred_url: string;
                subscriptions_url: string;
                organizations_url: string;
                repos_url: string;
                events_url: string;
                received_events_url: string;
                type: string;
                site_admin: boolean;
                starred_at?: string | undefined;
            }[] | null | undefined;
            user: {
                name?: string | null | undefined;
                email?: string | null | undefined;
                login: string;
                id: number;
                node_id: string;
                avatar_url: string;
                gravatar_id: string | null;
                url: string;
                html_url: string;
                followers_url: string;
                following_url: string;
                gists_url: string;
                starred_url: string;
                subscriptions_url: string;
                organizations_url: string;
                repos_url: string;
                events_url: string;
                received_events_url: string;
                type: string;
                site_admin: boolean;
                starred_at?: string | undefined;
            } | null;
            labels: {
                id?: number | undefined;
                node_id?: string | undefined;
                url?: string | undefined;
                name?: string | undefined;
                color?: string | undefined;
                default?: boolean | undefined;
                description?: string | null | undefined;
            }[];
            state: string;
            state_reason?: string | null | undefined;
            assignee: {
                name?: string | null | undefined;
                email?: string | null | undefined;
                login: string;
                id: number;
                node_id: string;
                avatar_url: string;
                gravatar_id: string | null;
                url: string;
                html_url: string;
                followers_url: string;
                following_url: string;
                gists_url: string;
                starred_url: string;
                subscriptions_url: string;
                organizations_url: string;
                repos_url: string;
                events_url: string;
                received_events_url: string;
                type: string;
                site_admin: boolean;
                starred_at?: string | undefined;
            } | null;
            milestone: {
                url: string;
                html_url: string;
                labels_url: string;
                id: number;
                node_id: string;
                number: number;
                state: "open" | "closed";
                title: string;
                description: string | null;
                creator: {
                    name?: string | null | undefined;
                    email?: string | null | undefined;
                    login: string;
                    id: number;
                    node_id: string;
                    avatar_url: string;
                    gravatar_id: string | null;
                    url: string;
                    html_url: string;
                    followers_url: string;
                    following_url: string;
                    gists_url: string;
                    starred_url: string;
                    subscriptions_url: string;
                    organizations_url: string;
                    repos_url: string;
                    events_url: string;
                    received_events_url: string;
                    type: string;
                    site_admin: boolean;
                    starred_at?: string | undefined;
                } | null;
                open_issues: number;
                closed_issues: number;
                created_at: string;
                updated_at: string;
                closed_at: string | null;
                due_on: string | null;
            } | null;
            comments: number;
            created_at: string;
            updated_at: string;
            closed_at: string | null;
            text_matches?: {
                object_url?: string | undefined;
                object_type?: string | null | undefined;
                property?: string | undefined;
                fragment?: string | undefined;
                matches?: {
                    text?: string | undefined;
                    indices?: number[] | undefined;
                }[] | undefined;
            }[] | undefined;
            pull_request?: {
                merged_at?: string | null | undefined;
                diff_url: string | null;
                html_url: string | null;
                patch_url: string | null;
                url: string | null;
            } | undefined;
            body?: string | undefined;
            score: number;
            author_association: "COLLABORATOR" | "CONTRIBUTOR" | "FIRST_TIMER" | "FIRST_TIME_CONTRIBUTOR" | "MANNEQUIN" | "MEMBER" | "NONE" | "OWNER";
            draft?: boolean | undefined;
            repository?: {
                id: number;
                node_id: string;
                name: string;
                full_name: string;
                license: {
                    key: string;
                    name: string;
                    url: string | null;
                    spdx_id: string | null;
                    node_id: string;
                    html_url?: string | undefined;
                } | null;
                organization?: {
                    name?: string | null | undefined;
                    email?: string | null | undefined;
                    login: string;
                    id: number;
                    node_id: string;
                    avatar_url: string;
                    gravatar_id: string | null;
                    url: string;
                    html_url: string;
                    followers_url: string;
                    following_url: string;
                    gists_url: string;
                    starred_url: string;
                    subscriptions_url: string;
                    organizations_url: string;
                    repos_url: string;
                    events_url: string;
                    received_events_url: string;
                    type: string;
                    site_admin: boolean;
                    starred_at?: string | undefined;
                } | null | undefined;
                forks: number;
                permissions?: {
                    admin: boolean;
                    pull: boolean;
                    triage?: boolean | undefined;
                    push: boolean;
                    maintain?: boolean | undefined;
                } | undefined;
                owner: {
                    name?: string | null | undefined;
                    email?: string | null | undefined;
                    login: string;
                    id: number;
                    node_id: string;
                    avatar_url: string;
                    gravatar_id: string | null;
                    url: string;
                    html_url: string;
                    followers_url: string;
                    following_url: string;
                    gists_url: string;
                    starred_url: string;
                    subscriptions_url: string;
                    organizations_url: string;
                    repos_url: string;
                    events_url: string;
                    received_events_url: string;
                    type: string;
                    site_admin: boolean;
                    starred_at?: string | undefined;
                };
                private: boolean;
                html_url: string;
                description: string | null;
                fork: boolean;
                url: string;
                archive_url: string;
                assignees_url: string;
                blobs_url: string;
                branches_url: string;
                collaborators_url: string;
                comments_url: string;
                commits_url: string;
                compare_url: string;
                contents_url: string;
                contributors_url: string;
                deployments_url: string;
                downloads_url: string;
                events_url: string;
                forks_url: string;
                git_commits_url: string;
                git_refs_url: string;
                git_tags_url: string;
                git_url: string;
                issue_comment_url: string;
                issue_events_url: string;
                issues_url: string;
                keys_url: string;
                labels_url: string;
                languages_url: string;
                merges_url: string;
                milestones_url: string;
                notifications_url: string;
                pulls_url: string;
                releases_url: string;
                ssh_url: string;
                stargazers_url: string;
                statuses_url: string;
                subscribers_url: string;
                subscription_url: string;
                tags_url: string;
                teams_url: string;
                trees_url: string;
                clone_url: string;
                mirror_url: string | null;
                hooks_url: string;
                svn_url: string;
                homepage: string | null;
                language: string | null;
                forks_count: number;
                stargazers_count: number;
                watchers_count: number;
                size: number;
                default_branch: string;
                open_issues_count: number;
                is_template?: boolean | undefined;
                topics?: string[] | undefined;
                has_issues: boolean;
                has_projects: boolean;
                has_wiki: boolean;
                has_pages: boolean;
                has_downloads: boolean;
                has_discussions?: boolean | undefined;
                archived: boolean;
                disabled: boolean;
                visibility?: string | undefined;
                pushed_at: string | null;
                created_at: string | null;
                updated_at: string | null;
                allow_rebase_merge?: boolean | undefined;
                template_repository?: {
                    id?: number | undefined;
                    node_id?: string | undefined;
                    name?: string | undefined;
                    full_name?: string | undefined;
                    owner?: {
                        login?: string | undefined;
                        id?: number | undefined;
                        node_id?: string | undefined;
                        avatar_url?: string | undefined;
                        gravatar_id?: string | undefined;
                        url?: string | undefined;
                        html_url?: string | undefined;
                        followers_url?: string | undefined;
                        following_url?: string | undefined;
                        gists_url?: string | undefined;
                        starred_url?: string | undefined;
                        subscriptions_url?: string | undefined;
                        organizations_url?: string | undefined;
                        repos_url?: string | undefined;
                        events_url?: string | undefined;
                        received_events_url?: string | undefined;
                        type?: string | undefined;
                        site_admin?: boolean | undefined;
                    } | undefined;
                    private?: boolean | undefined;
                    html_url?: string | undefined;
                    description?: string | undefined;
                    fork?: boolean | undefined;
                    url?: string | undefined;
                    archive_url?: string | undefined;
                    assignees_url?: string | undefined;
                    blobs_url?: string | undefined;
                    branches_url?: string | undefined;
                    collaborators_url?: string | undefined;
                    comments_url?: string | undefined;
                    commits_url?: string | undefined;
                    compare_url?: string | undefined;
                    contents_url?: string | undefined;
                    contributors_url?: string | undefined;
                    deployments_url?: string | undefined;
                    downloads_url?: string | undefined;
                    events_url?: string | undefined;
                    forks_url?: string | undefined;
                    git_commits_url?: string | undefined;
                    git_refs_url?: string | undefined;
                    git_tags_url?: string | undefined;
                    git_url?: string | undefined;
                    issue_comment_url?: string | undefined;
                    issue_events_url?: string | undefined;
                    issues_url?: string | undefined;
                    keys_url?: string | undefined;
                    labels_url?: string | undefined;
                    languages_url?: string | undefined;
                    merges_url?: string | undefined;
                    milestones_url?: string | undefined;
                    notifications_url?: string | undefined;
                    pulls_url?: string | undefined;
                    releases_url?: string | undefined;
                    ssh_url?: string | undefined;
                    stargazers_url?: string | undefined;
                    statuses_url?: string | undefined;
                    subscribers_url?: string | undefined;
                    subscription_url?: string | undefined;
                    tags_url?: string | undefined;
                    teams_url?: string | undefined;
                    trees_url?: string | undefined;
                    clone_url?: string | undefined;
                    mirror_url?: string | undefined;
                    hooks_url?: string | undefined;
                    svn_url?: string | undefined;
                    homepage?: string | undefined;
                    language?: string | undefined;
                    forks_count?: number | undefined;
                    stargazers_count?: number | undefined;
                    watchers_count?: number | undefined;
                    size?: number | undefined;
                    default_branch?: string | undefined;
                    open_issues_count?: number | undefined;
                    is_template?: boolean | undefined;
                    topics?: string[] | undefined;
                    has_issues?: boolean | undefined;
                    has_projects?: boolean | undefined;
                    has_wiki?: boolean | undefined;
                    has_pages?: boolean | undefined;
                    has_downloads?: boolean | undefined;
                    archived?: boolean | undefined;
                    disabled?: boolean | undefined;
                    visibility?: string | undefined;
                    pushed_at?: string | undefined;
                    created_at?: string | undefined;
                    updated_at?: string | undefined;
                    permissions?: {
                        admin?: boolean | undefined;
                        maintain?: boolean | undefined;
                        push?: boolean | undefined;
                        triage?: boolean | undefined;
                        pull?: boolean | undefined;
                    } | undefined;
                    allow_rebase_merge?: boolean | undefined;
                    temp_clone_token?: string | undefined;
                    allow_squash_merge?: boolean | undefined;
                    allow_auto_merge?: boolean | undefined;
                    delete_branch_on_merge?: boolean | undefined;
                    allow_update_branch?: boolean | undefined;
                    use_squash_pr_title_as_default?: boolean | undefined;
                    squash_merge_commit_title?: "PR_TITLE" | "COMMIT_OR_PR_TITLE" | undefined;
                    squash_merge_commit_message?: "PR_BODY" | "COMMIT_MESSAGES" | "BLANK" | undefined;
                    merge_commit_title?: "PR_TITLE" | "MERGE_MESSAGE" | undefined;
                    merge_commit_message?: "PR_TITLE" | "PR_BODY" | "BLANK" | undefined;
                    allow_merge_commit?: boolean | undefined;
                    subscribers_count?: number | undefined;
                    network_count?: number | undefined;
                } | null | undefined;
                temp_clone_token?: string | undefined;
                allow_squash_merge?: boolean | undefined;
                allow_auto_merge?: boolean | undefined;
                delete_branch_on_merge?: boolean | undefined;
                allow_update_branch?: boolean | undefined;
                use_squash_pr_title_as_default?: boolean | undefined;
                squash_merge_commit_title?: "PR_TITLE" | "COMMIT_OR_PR_TITLE" | undefined;
                squash_merge_commit_message?: "PR_BODY" | "COMMIT_MESSAGES" | "BLANK" | undefined;
                merge_commit_title?: "PR_TITLE" | "MERGE_MESSAGE" | undefined;
                merge_commit_message?: "PR_TITLE" | "PR_BODY" | "BLANK" | undefined;
                allow_merge_commit?: boolean | undefined;
                allow_forking?: boolean | undefined;
                web_commit_signoff_required?: boolean | undefined;
                subscribers_count?: number | undefined;
                network_count?: number | undefined;
                open_issues: number;
                watchers: number;
                master_branch?: string | undefined;
                starred_at?: string | undefined;
                anonymous_access_enabled?: boolean | undefined;
            } | undefined;
            body_html?: string | undefined;
            body_text?: string | undefined;
            timeline_url?: string | undefined;
            performed_via_github_app?: {
                id: number;
                slug?: string | undefined;
                node_id: string;
                owner: {
                    name?: string | null | undefined;
                    email?: string | null | undefined;
                    login: string;
                    id: number;
                    node_id: string;
                    avatar_url: string;
                    gravatar_id: string | null;
                    url: string;
                    html_url: string;
                    followers_url: string;
                    following_url: string;
                    gists_url: string;
                    starred_url: string;
                    subscriptions_url: string;
                    organizations_url: string;
                    repos_url: string;
                    events_url: string;
                    received_events_url: string;
                    type: string;
                    site_admin: boolean;
                    starred_at?: string | undefined;
                } | null;
                name: string;
                description: string | null;
                external_url: string;
                html_url: string;
                created_at: string;
                updated_at: string;
                permissions: {
                    issues?: string | undefined;
                    checks?: string | undefined;
                    metadata?: string | undefined;
                    contents?: string | undefined;
                    deployments?: string | undefined;
                } & {
                    [key: string]: string;
                };
                events: string[];
                installations_count?: number | undefined;
                client_id?: string | undefined;
                client_secret?: string | undefined;
                webhook_secret?: string | null | undefined;
                pem?: string | undefined;
            } | null | undefined;
            reactions?: {
                url: string;
                total_count: number;
                "+1": number;
                "-1": number;
                laugh: number;
                confused: number;
                heart: number;
                hooray: number;
                eyes: number;
                rocket: number;
            } | undefined;
        }[];
    }>;
    getCommitsInfo(repo: any, pullRequestId: any): Promise<{
        committers: any;
        commits: any;
        firstCommitDate: any;
        lastCommitDate: any;
    }>;
    private prepareApiClient;
    private buildRequestUrl;
    private getRepoOwnerAndName;
}
//# sourceMappingURL=github.api.d.ts.map