export type GerritWebLink = {
   name: string,
   url: string,
   target: string
}

export type GerritCommitter = {
    name: string,
    email: string,
    date: string
}

export type GerritCommit = {
    subject: string,
    message: string
    committer: GerritCommitter,
    // eslint-disable-next-line @typescript-eslint/naming-convention
    web_links: GerritWebLink[]
}

export type GerritRevision = {
    commit: GerritCommit,
    created: string
}

export type GerritChange = {
    branch: string,
    _number: string,
    created: string,
    updated: string,
    subject: string
    revisions?: Record<string, GerritRevision>
}